Uploaded image for project: 'Minecraft: Java Edition'
  1. Minecraft: Java Edition
  2. MC-97461

MalformedJsonException when connecting to a 1.8.9 server with 1.9 pre release

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Fixed
    • Affects Version/s: Minecraft 1.9 Pre-Release 1, Minecraft 1.9 Pre-Release 2
    • Labels:
      None
    • Confirmation Status:
      Confirmed

      Description

      When you connect to a 1.8.9 server with 1.9, instead of getting kicked with the standard message Outdated server! I'm still on 1.8.9, the client will display an internal exception:

      Internal Exception: io.netty.handler.codec.DecoderException:
      com.google.gson.JsonSyntaxException:
      com.google.gson.stream.MalformedJsonException:
      Use JsonReader.setLenient(true) to accept malformed JSON at line 1 column 2
      

      This seems to happen because on 1.8.9 simple chat messages (without formatting or child components) were sent as primitive JSON string (with the text directly) instead of getting wrapped in a JSON object. This was changed in 1.9, and now it doesn't display the kick messages properly anymore from older servers.

      It should probably accept the older JSON chat messages for the kick messages so it will properly display that the user is attempting to connect to an outdated server, instead of showing an error.

        Attachments

          Activity

            People

            • Assignee:
              grum [Mojang] Grum (Erik Broes)
              Reporter:
              Minecrell Minecrell
            • Votes:
              1 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                CHK: